<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Edumodo
 */
$learnpress_archive_column = edumodo_get_theme_mod('edumodo_archive_lp_course_grid_column', '4');
$learnpress_archive_column = class_exists( 'LearnPress' ) ? apply_filters('edumodo_learnpress_archive_column', $learnpress_archive_column) : '';
$archive_column = $learnpress_archive_column;
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($archive_column); ?>>

	<div class="entry-content">
		<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'edumodo' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer-body">
			<?php
				edit_post_link(
					sprintf(
						/* translators: %s: Name of current post */
						esc_html__( 'Edit %s', 'edumodo' ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					),
					'<span class="edit-link">',
					'</span>'
				);
			?>
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-## -->
